#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ 診療費明細書（外来）


require 'uri'
require 'net/http'
require 'json'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/api01rv2/statementv2")

BODY = <<EOF 
<data>
  <statementv2req type ="record">
    <Request_Number type ="string">01</Request_Number>
    <Patient_ID type ="string">1</Patient_ID>
    <Invoice_Number type ="string">1426</Invoice_Number>
  </statementv2req>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts JSON.pretty_generate(JSON.load(res.body))
}
